
# GENERAL

input {
	kb_layout	= us,rs
	kb_variant	= ,yz
	kb_options	= caps:escape,grp:menu_toggle

	follow_mouse = 1

	repeat_rate	  = 50
	repeat_delay  = 300
	numlock_by_default	= 1

	force_no_accel = true

	touchpad {
		scroll_factor	= 0.4
		natural_scroll	= false
		tap-to-click	= true
		tap-and-drag	= true
		disable_while_typing = true
	}


}

general {
	col.inactive_border	= 0xff45475a
	col.active_border	= rgba(cba6f7ff) rgba(89b4faff) rgba(94e2d5ff) 10deg


	gaps_in	  = 7
	gaps_out  = 15

	layout		= dwindle
	border_size = 0
}


gestures {
	workspace_swipe			= true
	workspace_swipe_fingers = 3
}


misc {
	vfr = true
	vrr = 1
	swallow_regex	= ^(kitty)$
	enable_swallow	= 1
	disable_hyprland_logo = true
}



master {
	no_gaps_when_only = false
}

dwindle {
	no_gaps_when_only = false
}

